function prepare_mw() {
  $(document).ready(function () {
    bindtab2();
    try {
      entry = $(".hword")[0].innerText;
      console.log(entry);
      $("#examples").after('<div id="zz"></div>');

 // added to avoid "No 'Access-Control-Allow-Origin' header is present on the requested resource" on GoldenDict-ng, 
// but failed to resolve it!!!
 // const uri = 'https://www.merriam-webster.com/dictionary/'; 
 //    $("#zz").load(uri + entry + ' #examples');
      $("#zz").load('https://www.merriam-webster.com/dictionary/' + entry + ' #examples');
 
// increase timeout from 500 to 1500, so that 在线例句 works better without the need of re-freshing of the page by Ctrl+F5.
      setTimeout('xx();', 1500);
    } catch (e) {
      console.log("xx");
    }
    bindswitch();
    bindbubble();
    $("a.text-decoration-none+a>img").removeAttr("height");
    $("a.text-decoration-none+a>img").removeAttr("width");
    var bgcolor = $("body").css("background-color");
    if (bgcolor == "rgba(0, 0, 0, 0)") {
      bgcolor = "rgb(0, 0, 0)"
    }
    zz = "border: 8.5px solid " + bgcolor + " !important";
    $(".sense .thes-list-header").append("<style>.sense .thes-list-header:before{" + zz + "}</style>");
    $(".vg .vg-sseq-entry-item .vg-sseq-entry-item-label.bullet-only").append("<style>.vg .vg-sseq-entry-item .vg-sseq-entry-item-label.bullet-only:before{" + zz + "}</style>");
  });
}
function xx() {
  if ($("#zz>#examples").length > 0) {
    var linesrc = $(".content-section-header>img").attr("src");
    var _src = $(".has-aq img.me-1").attr("src");
    $("karxdict>#examples").remove();
    $("#zz>#examples>.content-section-header>img").attr("src", linesrc);
    $("#zz .has-aq img.me-1").attr("src", _src);
    $("#zz>#examples").append('<div class="olexample">Online Examples</div>');
    bindtab2();
  }

}

function bindbubble() {
  var that = $("[data-bs-custom-class='relevance-meter-tooltip']");
  that.css("position", "relative");
  that.css("cursor", "pointer");
  var attr = that.attr('bound');
  if (typeof (attr) == typeof (undefined) || attr == false) {
    that.append("<bbl class='tooltip-inner'>" + that.attr("data-bs-original-title") + "</bbl><bblarrow></bblarrow>");
    that.hover(function () { bubble(this); }, function () {
      bubbleout(this);
    });
  }
  that.attr("bound", "true");
  var that2 = $("[data-bs-custom-class='sim-list-tooltip'],[data-bs-custom-class='opp-list-tooltip']");
  that2.css("position", "relative");
  that2.css("cursor", "pointer");
  var attr = that2.attr('bound');
  if (typeof (attr) == typeof (undefined) || attr == false) {
    for (var j = 0; j < that2.length; j++) {
      var h1 = $("<bbl class='tooltip-inner'></bbl>");
      h1.text($(that2[j]).attr("title"))
      var h2 = $("<bblarrow></bblarrow>");
      $(that2[j]).append(h1);
      $(that2[j]).append(h2);
      $(that2[j]).hover(function () { bubble(this); }, function () {
        bubbleout(this);
      });
    }
  }
  that2.attr("bound", "true");
}

function bindswitch() {
  if ($("karxthsr").length * $("karxdict").length != 0) {

    $("karxdict").append(logo);
    $("karxthsr").append(logo);
    var attr = $(".myxx, .mwswitch").attr('bound');
    if (typeof (attr) == typeof (undefined) || attr == false) {
      $(".myxx, .mwswitch").bind('click', function () { switchthsr(); })
    }
    $(".myxx, .mwswitch").attr("bound", "true");
  }
}

function bindtab2() {
  var default_close = [".related-phrases-module-anchor", ".examples-module-anchor", "#word-history", "#synonyms", "#little-gems", "#synonym-discussion", "#faqs", "#kidsdictionary", "#legalDictionary", "#geographicalDictionary", "#medicalDictionary", "#biographicalDictionary"];
  var typelist = [".usage_notes", "#phrases", ".related-phrases-module-anchor", ".examples-module-anchor", "#word-history", "#synonyms", "#little-gems", "#synonym-discussion", "#faqs", "#kidsdictionary", "#legalDictionary", "#geographicalDictionary", "#medicalDictionary", "#biographicalDictionary"];
  for (i = 0; i < typelist.length; i++) {
    var xtype = typelist[i];
    var attr = $(xtype).attr('bound');
    $(xtype).show();
    if (typeof (attr) == typeof (undefined) || attr == false) {
      var p = $(xtype).find(".content-section-header");
      if (p.length != 0) {
        p.bind('click', function () { tabfunc2(this, false); })
        if (default_close.indexOf(xtype) >= 0) {
          tabfunc2(p, true)
        }

      }
      else {
        var q = $(xtype).find(".content-section-sub-header");
        q.bind('click', function () { tabfunc2(this, false); })
        if (default_close.indexOf(xtype) >= 0) {
          tabfunc2(p, true)
        }
      }
      $(xtype).attr("bound", "true");
    }
  }
}


function tabfunc2(thetab, force) {
  var xxs = $(thetab).siblings();
  if ($(xxs).is(":visible") || force) {
    $(xxs).hide();
  }
  else {
    $(xxs).show();
  }
}

function bubble(f) {
  $(f).children("bbl").show();
  $(f).children("bblarrow").show();

}
function bubbleout(f) {
  $(f).children("bbl").hide();
  $(f).children("bblarrow").hide();
}

function switchthsr() {
  if ($("karxthsr").is(":visible")) {

    $("karxthsr").hide();
    $("karxdict").show();

  }
  else {
    $("karxthsr").show();
    $("karxdict").hide();
  }

}
function mdd1Existmw() {
  var _flag = $('.word-syllables-prons-header-content').css('margin-top');
  if (_flag) { return _flag == '1px'; }
  else { return false }
}

var logo = '<div class="mwswitch"><svg xmlns="http://www.w3.org/2000/svg" width="42px" height="42px" viewBox="0 0 41 42" fill="none" class="svg replaced-svg">< title > Merriam - Webster Logo</title ><path d="M0 20.5291C0 9.20443 9.20999 0.0291138 20.5723 0.0291138C31.9347 0.0291138 41 9.20881 41 20.5291C41 31.8538 31.9347 41.0291 20.5723 41.0291C9.21437 41.0335 0 31.8538 0 20.5291Z" fill="none"></path><path d="M1.5 20.5269C1.5 10.0337 10.009 1.52911 20.5022 1.52911C30.9954 1.52911 39.5 10.0337 39.5 20.5269C39.5 31.0202 30.9954 39.5248 20.5022 39.5291C10.009 39.5291 1.50433 31.0202 1.5 20.5269ZM2.74342 20.5269C2.74342 25.4313 4.73201 29.8677 7.9467 33.0824C11.1614 36.2971 15.5978 38.2814 20.5022 38.2857C25.4065 38.2857 29.8429 36.2971 33.0576 33.0824C36.2723 29.8677 38.2609 25.4313 38.2609 20.5269C38.2609 15.6226 36.2723 11.1862 33.0576 7.97148C29.8429 4.7568 25.4065 2.7682 20.5022 2.7682C15.5935 2.7682 11.1614 4.75246 7.9467 7.97148C4.73201 11.1862 2.74342 15.6226 2.74342 20.5269Z" fill="#D71920"></path><path d="M22.58 25.1859C22.58 24.7011 22.9294 24.4041 23.3355 24.3997C23.8946 24.3997 24.1654 24.8321 24.1654 25.3999L24.4667 25.4174L24.5017 24.5439H24.4842L24.4973 24.5308C24.1523 24.2207 23.7636 24.1377 23.3224 24.1377C22.6367 24.1377 21.9991 24.6094 21.9991 25.4086C22.0078 27.0683 24.161 26.3564 24.1435 27.4875C24.1435 28.0073 23.816 28.3785 23.3093 28.3785H23.2875C22.6498 28.3654 22.2524 27.8413 22.2349 27.1556L21.8986 27.1381V27.1556L21.9074 27.2386L21.9947 28.3916C22.3834 28.6144 22.8114 28.6711 23.2264 28.6711C24.0212 28.6711 24.8161 28.23 24.8161 27.2692C24.803 25.6794 22.5581 26.1424 22.58 25.1859ZM19.9114 24.1813C19.7717 24.1813 19.6406 24.2076 19.5009 24.225L18.7715 24.688L18.8763 24.7753C19.0729 24.7142 19.2694 24.6792 19.4572 24.6792C20.4705 24.6792 20.9203 25.6226 20.9247 26.5791C20.9247 27.5705 20.4923 28.4091 19.597 28.4091C19.0117 28.4091 18.658 28.0029 18.658 27.4177V21.6045L18.4789 21.5259C18.112 21.6875 17.6665 21.8316 17.256 21.884L17.2472 22.05C17.5137 22.0675 17.7058 22.1112 17.9373 22.2247L17.9198 26.863C17.9198 27.0726 17.9198 27.2779 17.9198 27.4875C17.9198 27.8588 17.9155 28.23 17.8893 28.6187L18.0552 28.7104L18.3915 28.3873C18.6711 28.5532 19.0205 28.6842 19.3393 28.6886C20.9247 28.6842 21.6104 27.5487 21.6104 26.3171C21.6104 24.9195 20.9858 24.1813 19.9114 24.1813ZM14.8757 22.5479L14.8888 22.3208L12.7662 22.3033L12.7487 22.5304L13.5785 22.7532L13.4563 23.1069L12.0674 27.0333C11.9145 26.5791 10.779 23.1506 10.7004 22.858L10.8052 22.692L11.4953 22.5872L11.5084 22.3383L9.21542 22.3252V22.3426H9.19795V22.5741L9.82687 22.7182L9.94042 22.9279C9.86181 23.2205 8.67385 26.6009 8.51225 27.0508L7.13649 22.7663L7.1758 22.7532L7.84402 22.5872L7.8746 22.3383H7.85713H7.77414L5.48994 22.3164L5.46811 22.5479L6.28483 22.7488L8.16722 28.6973L8.45547 28.7104L10.1719 23.9804L11.7617 28.6842L12.0674 28.6973L14.1463 22.7401L14.8757 22.5479ZM7.12339 22.775L7.18016 22.9497L7.12339 22.775ZM13.5829 22.7401L13.5305 22.727L13.5829 22.7401ZM27.5807 27.6841L27.5545 27.7059C27.358 27.9025 27.0523 28.2082 26.8077 28.2082C26.3404 28.1994 26.1613 27.8763 26.1569 27.291C26.1569 27.2648 26.1569 27.2386 26.1569 27.2124V24.8802H26.1875L27.4279 24.8976L27.4454 24.4652L26.1395 24.4478L26.1569 23.3341L25.9342 23.3166C25.7551 23.9411 25.2616 24.308 24.7812 24.6574L24.7724 24.8802H24.7899V24.8976H25.4101L25.3926 27.5705C25.3926 28.4047 25.9298 28.7061 26.4146 28.7104C26.4321 28.7104 26.4539 28.7104 26.4714 28.7104C27.1571 28.6755 27.6244 27.9942 27.6288 27.9942L27.5851 27.7147L27.5807 27.6841ZM25.2922 20.0628H25.314C25.8337 20.0497 26.253 19.8532 26.6505 19.5431L26.6286 20.0715C26.6286 20.0715 26.633 20.0715 26.6374 20.0715H26.6461C26.6461 20.0715 26.6592 20.0672 26.6636 20.0672C26.8252 20.0497 27.6594 19.8619 28.035 19.792L28.0612 19.7876L27.9301 19.5867L27.3231 19.5256V16.9182C27.3231 16.1626 26.9955 15.822 26.467 15.822C26.4408 15.822 26.419 15.822 26.3928 15.822C26.3185 15.822 26.2399 15.8263 26.1657 15.8656L25.2092 16.4378C25.1131 16.4989 24.7681 16.6867 24.755 16.8527L24.7244 17.3287L24.7899 17.3812L25.2878 17.2807C25.349 17.2676 25.4407 17.272 25.4407 17.1671V17.154C25.4363 17.0711 25.4319 16.9924 25.4319 16.9182C25.4363 16.5863 25.5106 16.3373 26.1133 16.25C26.1351 16.2456 26.1569 16.2456 26.1788 16.2456C26.4801 16.2456 26.6592 16.5644 26.6592 17.1803V17.8092C26.2487 17.9358 25.7988 18.1149 25.3184 18.2721C24.9559 18.39 24.3925 18.5647 24.3925 19.2854C24.3925 19.6129 24.7812 20.0628 25.2922 20.0628ZM26.6461 20.0541H26.6417L26.6505 19.9274L26.6461 20.0541ZM26.6767 18.0232V18.0275C26.5981 18.0538 26.5282 18.0756 26.4539 18.0974C26.5282 18.0712 26.5981 18.0494 26.6767 18.0232ZM26.6767 18.0406V18.3202L26.6592 19.2548C26.4015 19.4164 25.9997 19.6217 25.7639 19.6217C25.445 19.6217 25.1175 19.3989 25.1175 19.1063C25.1131 18.5298 25.7289 18.3638 26.6767 18.0406ZM23.2264 14.7956C23.4273 14.7956 23.6151 14.634 23.6194 14.4156C23.6194 14.1929 23.4535 13.992 23.2264 13.9876C23.008 13.9876 22.8507 14.206 22.8507 14.4156C22.8507 14.6165 23.0342 14.7956 23.2264 14.7956ZM22.9425 19.6872L22.1651 19.8139L22.1519 20.0235L24.3837 20.041V20.0235H24.4012V19.8313L23.6238 19.6697L23.6369 15.9268L23.4709 15.8482C23.1259 16.001 22.6411 16.1364 22.2568 16.1888L22.2393 16.3985C22.4882 16.4159 22.7372 16.4596 22.9556 16.5688L22.9425 19.6872ZM16.7756 19.6566L16.0287 19.7833L16.0156 20.0279L18.2212 20.0453L18.2387 19.8008L17.4787 19.6392L17.4918 17.5471C17.4918 17.403 17.8849 16.4378 18.3435 16.4378C18.4439 16.4378 18.5881 16.512 18.6754 16.5775L18.9025 16.5994L19.0641 16.0272C18.9156 15.9006 18.575 15.8787 18.3959 15.8787C17.9417 15.8831 17.8063 16.4028 17.6272 16.7479L17.5137 16.9313V15.9311L17.3128 15.8525L17.3084 15.87L17.2997 15.8525C16.9634 16.0054 16.4655 16.1408 16.0724 16.1932L16.0549 16.4028C16.3126 16.4203 16.5659 16.464 16.7843 16.5732L16.7756 19.6566ZM7.05788 19.7964L6.27609 19.6348L6.71284 14.9179L6.75215 14.8L8.85292 19.8706L8.97084 19.8794L11.0148 14.8524L11.0716 14.9572L11.4734 19.6479L10.6349 19.7745L10.6218 20.0191L13.0282 20.0366L13.0457 19.792L12.3163 19.6304L11.7922 14.4244L12.6133 14.2977L12.609 14.2802H12.6264L12.6177 14.0706L10.8314 14.0531L9.04509 18.3944L7.23258 14.0619L5.41133 14.0531L5.38512 14.2802L6.27609 14.4462L5.77383 19.6523L5.08377 19.7789L5.07066 20.0235L7.04041 20.041L7.05788 19.7964ZM34.5644 17.2021C34.5687 16.3504 34.1364 15.87 33.2323 15.8438C33.2279 15.8438 33.2236 15.8438 33.2192 15.8438C33.11 15.8438 32.9353 15.8875 32.6907 16.0796L32.0574 16.6212C31.8303 16.1932 31.3979 15.8569 30.8913 15.8525C30.5594 15.8525 30.4371 15.8962 30.175 16.1015L29.5723 16.4946V15.9224L29.3758 15.8438C29.0395 15.9967 28.5634 16.1321 28.1878 16.1845L28.1704 16.3461C28.4149 16.3635 28.6595 16.4072 28.8692 16.5164L28.8648 19.6392L28.2053 19.7658L28.1922 19.9886L30.2318 20.006L30.2493 19.8051L29.5636 19.6217L29.5767 16.8221C29.8781 16.595 30.2187 16.3199 30.5769 16.3199C31.3412 16.3199 31.3586 17.0929 31.363 17.7786V19.6392L30.7035 19.7876L30.6904 19.9886L32.73 20.006L32.7475 19.8051L32.0618 19.6217L32.0749 16.8134C32.3675 16.5994 32.7606 16.3723 33.1231 16.3723C33.8132 16.3723 33.8568 16.9531 33.8612 17.569C33.8612 17.6738 33.8612 17.7742 33.8612 17.8791V19.6392L33.2017 19.7876L33.1886 19.9886L35.1977 20.006L35.2151 19.8051L34.56 19.6217L34.5644 17.2021ZM14.4564 20.137C14.8801 20.137 15.1771 20.0803 15.2426 20.041L16.2384 19.0059L15.9588 18.984C15.6356 19.3203 15.3212 19.6042 14.8626 19.6042C14.8408 19.6042 14.8189 19.6042 14.7971 19.6042C13.4999 19.5256 13.3209 18.5473 13.3165 17.4292H13.3427L15.5963 17.4467C15.8453 17.4467 15.9457 17.4161 15.9457 17.0885C15.9457 16.3592 15.3212 15.8525 14.452 15.8525C13.4257 15.8525 12.6002 16.6212 12.6002 17.9839C12.6046 19.3684 13.4213 20.1327 14.4564 20.137ZM14.3341 16.1058C14.9587 16.1058 15.2251 16.5513 15.2251 17.1278C15.2251 17.1584 15.2251 17.1934 15.2251 17.2283L13.3383 17.2108C13.382 16.6649 13.7489 16.1058 14.3341 16.1058ZM22.1869 16.0229C22.0384 15.8962 21.6977 15.8744 21.5187 15.8744C21.0644 15.8787 20.929 16.3985 20.75 16.7435L20.6364 16.9269V15.9268L20.4355 15.8482L20.4312 15.8656L20.4224 15.8482C20.0861 16.001 19.5882 16.1364 19.1952 16.1888L19.1821 16.3985C19.4397 16.4159 19.693 16.4596 19.9114 16.5688L19.9027 19.6566L19.1558 19.7833L19.1384 20.0235H19.1558H19.2126L21.344 20.041L21.3614 19.7964L20.6015 19.6348L20.619 17.5428C20.619 17.3986 21.012 16.4334 21.4663 16.4334C21.5667 16.4334 21.7108 16.5077 21.7982 16.5732L22.0253 16.595L22.1869 16.0229ZM32.8392 25.0723L32.7169 25.2689V24.2119L32.5029 24.1333L32.4986 24.1508L32.4898 24.1333C32.136 24.2949 31.6163 24.439 31.2014 24.4914L31.1839 24.7142C31.4547 24.7317 31.7211 24.7753 31.9482 24.8933L31.9395 28.1383L31.1534 28.2737L31.1403 28.527L33.455 28.5445L33.4725 28.2912L32.6776 28.1208L32.6907 25.9196C32.6907 25.7711 33.1013 24.7535 33.5861 24.7535C33.6909 24.7535 33.8437 24.8321 33.9355 24.902L34.1713 24.9238L34.3416 24.3211C34.1888 24.1901 33.8263 24.1682 33.6428 24.1682C33.1711 24.1595 33.0314 24.7098 32.8392 25.0723ZM16.0418 28.1339C16.0156 28.1339 15.9938 28.1339 15.9719 28.1339C14.6005 28.051 14.4127 27.0159 14.4084 25.8366L16.8192 25.8541C17.0813 25.8541 17.1861 25.8192 17.1861 25.4741C17.1861 24.7055 16.5266 24.1682 15.6138 24.1682C14.5307 24.1726 13.6615 24.9806 13.6572 26.4175C13.6615 27.8806 14.5219 28.693 15.6138 28.693C16.0637 28.693 16.3737 28.6318 16.4436 28.5925L17.4962 27.5007L17.2036 27.4744C16.8585 27.8369 16.5266 28.1339 16.0418 28.1339ZM15.4828 24.4434C16.1423 24.4434 16.4262 24.9151 16.4262 25.5265C16.4262 25.5615 16.4262 25.5964 16.4262 25.6314L14.4302 25.6139C14.4783 25.0286 14.8626 24.4434 15.4828 24.4434ZM31.2014 27.4482C30.8607 27.8064 30.5288 28.1034 30.044 28.1034C30.0178 28.1034 29.996 28.1034 29.9698 28.1034C28.5984 28.0204 28.4106 26.9853 28.4062 25.8061L30.8171 25.8235C31.0791 25.8235 31.1839 25.7886 31.1839 25.4436C31.1839 24.6749 30.5244 24.1377 29.6116 24.1377C28.5285 24.142 27.655 24.95 27.655 26.3869C27.655 27.8544 28.5198 28.6624 29.6116 28.6624C30.0571 28.6624 30.3716 28.6013 30.4415 28.562L31.494 27.4701L31.2014 27.4482ZM29.485 24.4128C30.1445 24.4128 30.4284 24.8845 30.4284 25.496C30.4284 25.5309 30.4284 25.5658 30.424 25.6008L28.428 25.5833C28.4805 25.0024 28.8692 24.4128 29.485 24.4128ZM35.1802 17.7044V18.294H36.7831V17.7044H35.1802Z" fill="#004990"></path></svg></div>'
